<template>
	
	<div class="p-2">
		
		<!-- Product image -->
		<div class="w-48 h-48 mx-auto">
			<router-link v-if="!loading" :to="'/products/' + product.id" class="h-full flex items-center justify-center"> 
				<img :src="product.image" alt="Product image" class="max-h-full" />
			</router-link>
			<div class="skeleton-loader h-full w-full" v-if="loading"></div>
		</div>

		<!-- Product title -->
		<div class="text-center font-medium px-8 mt-2">
			<router-link v-if="!loading" :to="'/products/' + product.id" class="link">{{ product.title }}</router-link>
			<div class="skeleton-loader w-28" v-if="loading">&nbsp;</div>
			<div class="skeleton-loader w-28 ml-0.5" v-if="loading">&nbsp;</div>
		</div>

		<!-- Product price -->
		<div class="text-center font-light">
			<div v-if="!loading">
				{{ product.price.toFixed(2) }}<span class="ml-0.5 text-sm align-top">€</span>
			</div>
			<div class="skeleton-loader w-16 h-6" v-if="loading">
				&nbsp;
			</div>
		</div>

	</div>

</template>

<script>
/**
 * Simple component to be used inside ProductList that renders one of the available products.
 * When in loading state, the product information are replaced with skeleton loaders for an improved user experience.
 */
export default {
	props: {
		loading: Boolean,
		product: Object,
	}
}
</script>
